System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Event | System.AttributeTargets.All)

represents the type and level of inheritance of a member.

When the method of the searches the component fields of a component to identify fields that are inherited from a base class, the method represents the inheritance level of each component using an .

Indicates whether the component associated with this attribute has been inherited from a base class. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified inheritance level.

  An that indicates the level of inheritance to set this attribute to.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.InheritanceAttribute

  This field creates a new that indicates that the associated component is not inherited.

  Specifies that the default value for is . This field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added: an object of type 'object' To be added

  Override to test for equality.

  true if the object is the same; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hashcode for this object.

  A hash code for the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.InheritanceLevel To be added: an object of type 'InheritanceLevel' To be added

  Gets or sets the current inheritance level stored in this attribute.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.InheritanceAttribute

  This field creates a new that indicates that the associated component is inherited.

  Specifies that the component is inherited. This field is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.InheritanceAttribute

  This field creates a new that indicates that the associated component is inherited and read-only.

  Specifies that the component is inherited and is read-only. This field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Gets a value indicating whether the current value of the attribute is the default value for the attribute.

  true if the current value of the attribute is the default; otherwise, false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.InheritanceAttribute

  This field creates a new that indicates that the associated component is not inherited.

  Specifies that the component is not inherited. This field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  Converts this attribute to a string.

  A string that represents this .